declare const _default: import("vue").DefineComponent<{
    scrollLeft: number;
    clientWidth: number;
    scrollWidth: number;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:scrollLeft": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<{
    scrollLeft: number;
    clientWidth: number;
    scrollWidth: number;
}> & Readonly<{
    "onUpdate:scrollLeft"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
